const min = (s1?: string, s2?: string) => {
  return s1! < s2! ? s1 : s2;
};

export const findStartTime = (x: any, startTime?: string) => {
   if (typeof x === 'object') {
    let newStartTime = startTime;

    for (const key in x) {
      if (key === 'time') {
        newStartTime = min(newStartTime, x[key]);
      } else {
        newStartTime =  findStartTime(x[key], newStartTime);
      }
    }
    return newStartTime;
  }
  else return startTime;
};
